This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 461594 - Create default disk layout still uses old encrypted layout from disc
Create default disk layout still uses old encrypted layout from disc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-09-09 06:31 EDT by Milan Broz
Modified: 2013-02-28 23:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-23 19:47:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2008-09-09 06:31:29 EDT
Description of problem:

New installation of Fedora on notebook, on disc is already some old version of Fedora rawhide with encrypted PV.

I want to create unencrypted system now (delete everything and create default layout).

So selecting "Remove all partition on selected drives and create default layout"
and not checking "Encrypt system"

=> it still creates old, encrypted PV layout now.

When I hit "reset" in modify partition dialog, it resets to only partition, no LV defined.


Version-Release number of selected component (if applicable):
Rawhide, anaconda says version 11.4.1.32

How reproducible:
Install encrypted system, run installation again and try to use default layout without encryption.

Expected results:
All partition/encryption info is removed, anaconda set default layout.
Comment 1 David Lehman 2008-09-09 18:57:47 EDT
Is it prompting you for a passphrase? Before the install/upgrade choice or after partitioning type screen? What if you just hit "Cancel" in the passphrase prompt?
Comment 2 Milan Broz 2008-09-10 03:09:03 EDT
No it doesn't promt for passhrase before the install.

But the anaconda in rawhide is broken currently - I later noticed it skips the whole network dialog before partitioning and in the end it fails with unknown "overrideDHCPhostname"...

So maybe this is just some side effect. I will try again when network in rawhide anaconda is fixed:-) (f10-alpha net install from rawhide repo seems to work).
Comment 3 David Lehman 2008-09-30 15:20:55 EDT
Have you tried this recently?
Comment 4 Milan Broz 2008-10-06 07:25:07 EDT
Seems that it works in version included in F10-beta, at least in simpl econfig I used.
It asks for password if it found a previous encrypted volume and allows reset of configuration to default.
Thanks.

Note You need to log in before you can comment on or make changes to this bug.